Retrieve teamspace invite
import requests
url = "https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}/invites/{invite_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}/invites/{invite_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}/invites/{invite_id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"email": "jsmith@example.com",
"permissions": {
"role": "admin",
"agent_ids": [
"<string>"
]
},
"status": "pending",
"accepted_at": "2023-11-07T05:31:56Z"
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Teamspace Invites
Retrieve teamspace invite
Get a pending invite for in a teamspace.
GET
/
organization
/
teamspaces
/
{teamspace_id}
/
invites
/
{invite_id}
Retrieve teamspace invite
import requests
url = "https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}/invites/{invite_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}/invites/{invite_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}/invites/{invite_id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"email": "jsmith@example.com",
"permissions": {
"role": "admin",
"agent_ids": [
"<string>"
]
},
"status": "pending",
"accepted_at": "2023-11-07T05:31:56Z"
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the teamspace
The ID of the invite
Response
Invite for the user in the teamspace
Represents a invite for a user in a teamspace
The ID of the invite. Only present if the invite is pending.
The email address of the user invited
Represents the permissions assigned to a user in a teamspace
Show child attributes
Show child attributes
Whether the user has accepted the invite
Available options:
pending, accepted The date and time the user accepted the invite. Only present if the invite is accepted.